Skip to main content
POST
/
v1
/
generation
/
video-anime-replace
Submit Video Anime Replace Task
curl --request POST \
  --url https://api.weryai.com/v1/generation/video-anime-replace \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "replace",
  "video_url": "https://example.com/video.mp4",
  "image_url": "https://example.com/image.jpg",
  "resolution": "720p"
}
'
{
  "status": 0,
  "desc": "success",
  "message": "success",
  "data": {
    "task_id": "task_abc123",
    "task_status": "waiting"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.weryai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authenticate using Bearer token. Get your API Key from the WeryAI Console.

Example: Authorization: Bearer sk-xxxxxxxxxxxxxxxx

Body

application/json
video_url
string
required

Source video URL

Example:

"https://example.com/video.mp4"

image_url
string
required

Reference image URL

Example:

"https://example.com/image.jpg"

resolution
string
required

Output resolution. Supported values: 480p, 580p, 720p.

Example:

"720p"

type
string
default:replace

Processing mode. Supported values: move, replace.

Example:

"replace"

caller_id
integer<int64>

Caller ID (for business association)

Response

Task submitted successfully

status
integer

Business status code (0 indicates success)

Example:

0

desc
string

Status description

Example:

"success"

message
string

Multi-language message

Example:

"success"

data
object